package com.ruoyi.project.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.project.business.domain.train.TtTrainFile;

import java.util.List;

/**
 * 培训资料Mapper接口
 *
 * @author ruoyi
 * @date 2024-06-19
 */
public interface TtTrainFileMapper extends BaseMapper<TtTrainFile> {
    /**
     * 查询培训资料
     *
     * @param id 培训资料主键
     * @return 培训资料
     */
    TtTrainFile selectTtTrainFileById(Long id);

    /**
     * 查询培训资料列表
     *
     * @param ttTrainFile 培训资料
     * @return 培训资料集合
     */
    List<TtTrainFile> selectTtTrainFileList(TtTrainFile ttTrainFile);

    /**
     * 新增培训资料
     *
     * @param ttTrainFile 培训资料
     * @return 结果
     */
    int insertTtTrainFile(TtTrainFile ttTrainFile);

    int insertTtTrainFileBatch(List<TtTrainFile> ttTrainFileList);

    /**
     * 修改培训资料
     *
     * @param ttTrainFile 培训资料
     * @return 结果
     */
    int updateTtTrainFile(TtTrainFile ttTrainFile);

    /**
     * 删除培训资料
     *
     * @param id 培训资料主键
     * @return 结果
     */
    int deleteTtTrainFileById(Long id);

    /**
     * 批量删除培训资料
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteTtTrainFileByIds(Long[] ids);

    /**
     * 批量删除 根据培训id
     *
     * @param trainIds
     * @return
     */
    int deleteTtTrainFileByTrainIds(Long[] trainIds);
}
